import { gql } from '@apollo/client';

export const CREATE_GROUP = gql`
  mutation CreateGroup($name: String!, $parentId: ID) {
    createGroup(name: $name, parentId: $parentId) {
      id
      name
      parent_id
      created_at
      updated_at
    }
  }
`;

export const CREATE_TASK = gql`
  mutation CreateTask($name: String!, $groupId: ID!) {
    createTask(name: $name, groupId: $groupId) {
      id
      name
      group_id
      print_count
      created_at
      updated_at
    }
  }
`;

export const CREATE_STEP = gql`
  mutation CreateStep($name: String!, $instructions: String!, $taskId: ID!, $order: Int!) {
    createStep(name: $name, instructions: $instructions, taskId: $taskId, order: $order) {
      id
      name
      instructions
      task_id
      order
      created_at
      updated_at
    }
  }
`;

export const PRINT_TASK = gql`
  mutation PrintTask($id: ID!, $userId: ID!) {
    printTask(id: $id, userId: $userId) {
      id
      print_count
    }
  }
`;

export const PRINT_STEP = gql`
  mutation PrintStep($id: ID!, $userId: ID!) {
    printStep(id: $id, userId: $userId) {
      id
      print_count
    }
  }
`;

export const CREATE_NOTE = gql`
  mutation CreateNote($content: String!, $stepId: ID!) {
    createNote(content: $content, stepId: $stepId) {
      id
      content
      step_id
      created_at
      updated_at
      user {
        id
        name
      }
    }
  }
`;